View Issue Details

IDProjectCategoryView StatusLast Update
0007206Talermechant backendpublic2022-11-04 20:52
Reporterttn Assigned Tooec  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionopen 
PlatformLinuxOSDevuanOS Version4.0 (Chimaera)
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007206: "make check" fails to build
DescriptionHEAD == abef072191bf1e2507da6027d599cd7aae0b3ea1.
Log attached.
Looks like there is no decl for 'struct TALER_AgeAttestationPS' -- maybe a typo?
TagsNo tags attached.

Activities

ttn

2022-03-22 14:01

developer  

.ttn.merchant-make.log (7,446 bytes)   
make  all-recursive
make[1]: ingresso nella directory «/home/ttn/build/GNU/T/merchant»
Making all in .
make[2]: ingresso nella directory «/home/ttn/build/GNU/T/merchant»
make[2]: uscita dalla directory «/home/ttn/build/GNU/T/merchant»
Making all in src
make[2]: ingresso nella directory «/home/ttn/build/GNU/T/merchant/src»
Making all in include
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/merchant/src/include»
make[3]: Nessuna operazione da eseguire per «all».
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/merchant/src/include»
Making all in mustach
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/merchant/src/mustach»
  CC       mustach-jansson.o
  AR       libmustach.a
ar: `u' modifier ignored since `D' is the default (see `U')
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/merchant/src/mustach»
Making all in backenddb
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/merchant/src/backenddb»
  CC       merchantdb_plugin.lo
  CC       merchantdb_helper.lo
  CC       plugin_merchantdb_postgres.lo
  CCLD     libtalermerchantdb.la
  CCLD     libtaler_plugin_merchantdb_postgres.la
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/merchant/src/backenddb»
Making all in backend
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/merchant/src/backend»
  CC       taler_merchant_httpd-taler-merchant-httpd.o
  CC       taler_merchant_httpd-taler-merchant-httpd_auditors.o
  CC       taler_merchant_httpd-taler-merchant-httpd_config.o
  CC       taler_merchant_httpd-taler-merchant-httpd_exchanges.o
  CC       taler_merchant_httpd-taler-merchant-httpd_get-orders-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_get-tips-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_helper.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-tips.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-tips-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_mhd.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-delete-instances-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-delete-products-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-delete-orders-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-delete-reserves-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-delete-transfers-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-instances.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-instances-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-instances-ID-kyc.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-products.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-products-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-orders.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-orders-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-reserves.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-reserves-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-get-transfers.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-patch-instances-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-patch-orders-ID-forget.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-patch-products-ID.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-instances.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-instances-ID-auth.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-products.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-products-ID-lock.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-reserves.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-reserves-ID-authorize-tip.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-orders-ID-refund.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-orders.o
  CC       taler_merchant_httpd-taler-merchant-httpd_private-post-transfers.o
  CC       taler_merchant_httpd-taler-merchant-httpd_post-orders-ID-abort.o
  CC       taler_merchant_httpd-taler-merchant-httpd_post-orders-ID-claim.o
  CC       taler_merchant_httpd-taler-merchant-httpd_post-orders-ID-pay.o
  CC       taler_merchant_httpd-taler-merchant-httpd_post-orders-ID-paid.o
  CC       taler_merchant_httpd-taler-merchant-httpd_post-orders-ID-refund.o
  CC       taler_merchant_httpd-taler-merchant-httpd_post-tips-ID-pickup.o
  CC       taler_merchant_httpd-taler-merchant-httpd_qr.o
  CC       taler_merchant_httpd-taler-merchant-httpd_reserves.o
taler-merchant-httpd_post-orders-ID-pay.c: In function ‘parse_pay’:
taler-merchant-httpd_post-orders-ID-pay.c:2044:16: error: variable ‘minimum_age_sig’ has initializer but incomplete type
 2044 |         struct TALER_AgeAttestationPS minimum_age_sig = {0};
      |                ^~~~~~~~~~~~~~~~~~~~~~
taler-merchant-httpd_post-orders-ID-pay.c:2044:58: warning: excess elements in struct initializer
 2044 |         struct TALER_AgeAttestationPS minimum_age_sig = {0};
      |                                                          ^
taler-merchant-httpd_post-orders-ID-pay.c:2044:58: note: (near initialization for ‘minimum_age_sig’)
taler-merchant-httpd_post-orders-ID-pay.c:2044:39: error: storage size of ‘minimum_age_sig’ isn’t known
 2044 |         struct TALER_AgeAttestationPS minimum_age_sig = {0};
      |                                       ^~~~~~~~~~~~~~~
taler-merchant-httpd_post-orders-ID-pay.c:2117:45: warning: passing argument 2 of ‘GNUNET_is_zero_’ makes integer from pointer without a cast [-Wint-conversion]
 2117 |                                             sizeof(minimum_age_sig));
      |                                             ^~~~~~~~~~~~~~~~~~~~~~~
      |                                             |
      |                                             struct GNUNET_JSON_Specification *
In file included from /home/ttn/te/include/gnunet/gnunet_crypto_lib.h:61,
                 from /home/ttn/te/include/gnunet/gnunet_util_lib.h:65,
                 from /home/ttn/te/include/taler/taler_signatures.h:30,
                 from taler-merchant-httpd_post-orders-ID-pay.c:29:
/home/ttn/te/include/gnunet/gnunet_common.h:1257:25: note: expected ‘size_t’ {aka ‘long unsigned int’} but argument is of type ‘struct GNUNET_JSON_Specification *’
 1257 |                  size_t n);
      |                  ~~~~~~~^
taler-merchant-httpd_post-orders-ID-pay.c:2044:39: warning: unused variable ‘minimum_age_sig’ [-Wunused-variable]
 2044 |         struct TALER_AgeAttestationPS minimum_age_sig = {0};
      |                                       ^~~~~~~~~~~~~~~
  CC       taler_merchant_httpd-taler-merchant-httpd_spa.o
make[3]: *** [Makefile:1334: taler_merchant_httpd-taler-merchant-httpd_post-orders-ID-pay.o] Errore 1
make[3]: *** Attesa per i processi non terminati....
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/merchant/src/backend»
make[2]: *** [Makefile:414: all-recursive] Errore 1
make[2]: uscita dalla directory «/home/ttn/build/GNU/T/merchant/src»
make[1]: *** [Makefile:474: all-recursive] Errore 1
make[1]: uscita dalla directory «/home/ttn/build/GNU/T/merchant»
make: *** [Makefile:406: all] Errore 2
.ttn.merchant-make.log (7,446 bytes)   

oec

2022-03-22 16:41

developer   ~0018826

Indeed, a typo. I must have changed it after calling 'make check' and it went unnoticed.

Fixed with cf4d81320ad825ff280f71c0bbace845f722dca0

Issue History

Date Modified Username Field Change
2022-03-22 14:01 ttn New Issue
2022-03-22 14:01 ttn Status new => assigned
2022-03-22 14:01 ttn Assigned To => oec
2022-03-22 14:01 ttn File Added: .ttn.merchant-make.log
2022-03-22 16:41 oec Note Added: 0018826
2022-03-22 16:42 oec Status assigned => resolved
2022-03-22 16:42 oec Fixed in Version => git (master)
2022-10-20 11:33 Christian Grothoff Fixed in Version git (master) => 0.9
2022-10-20 11:33 Christian Grothoff Target Version git (master) => 0.9
2022-11-04 20:52 Christian Grothoff Status resolved => closed